def label = "$JOB_NAME.$BUILD_NUMBER-pipeline"
 
podTemplate(label: label, containers: [
 containerTemplate(name: 'kaniko', image: 'gcr.io/kaniko-project/executor:debug', command: '/busybox/cat', ttyEnabled: true)
],
volumes: [
   secretVolume(mountPath: '/kaniko/.docker/', secretName: 'kaniko-secret')
]) {
 node(label) {
   stage('Stage 1: Build with Kaniko') {
     container('kaniko') {
       sh '/kaniko/executor --context="git://git.monkeybox.org/Containers/$JOB_NAME#refs/heads/main" \
               --destination="fdamstra/$JOB_NAME:latest" \
               --destination="fdamstra/$JOB_NAME:$BUILD_NUMBER" \
               --insecure \
               --skip-tls-verify  \
               -v=debug'
     }
   }
 }
}
